#include <stdio.h>
#include <stdlib.h>
#include "constantes.h"
#include "typedef.h"


int saisie_param(STSAISIEPARAM *psaisie,int argc,char *argv[])
/* int argc;
char *argv[];
STSAISIEPARAM *psaisie; */
{
int i;
int aide; /* booleens, VRAI quand trouve */


strcpy(psaisie->fich_trans,"\0");
strcpy(psaisie->repdata,"\0");
strcpy(psaisie->repprog,"\0");
strcpy(psaisie->date_fich_compress,"\0");
psaisie->batch = FAUX;
psaisie->decompress = VRAI;
psaisie->mail = VRAI;


aide=FAUX;

i=1;


while(i<argc)
{
	if(strcmp(argv[i],"-batch") == 0)
		/* mode de traitement */
		{
		psaisie->batch = VRAI;
		i++;
		}

	else if(strcmp(argv[i],"-noDECOMP") == 0)
		/* pas de decompression du fichier LZH */
		{
		psaisie->decompress = FAUX;
		i++;
		}

 	else if(strcmp(argv[i],"-noMAIL") == 0)
		/* pas d'envoi des mails de compte-rendu */
		{
		psaisie->mail = FAUX;
		i++;
		}

	else if(strcmp(argv[i],"-date") == 0)
		/* date du fichier compress */
		{
		strcpy(psaisie->date_fich_compress,argv[i+1]);
		i+=2;
		}

	else if(strcmp(argv[i],"-fich") == 0)
		/* nom du fichier compress */
		{
		strcpy(psaisie->fich_trans,argv[i+1]);
		i+=2;
		}

	else if(strcmp(argv[i],"-repdata") == 0)
		/* repertoire contenant les donnees a traiter */
		{
		strcpy(psaisie->repdata,argv[i+1]);
		i+=2;
		}

	else if(strcmp(argv[i],"-repprog") == 0)
		/* repertoire contenant les programmes et fichiers de config*/
		{
		strcpy(psaisie->repprog,argv[i+1]);
		i+=2;
		}


	else if(strcmp(argv[i],"-help" ) == 0 || strcmp(argv[i],"-h" ) == 0)
         /* aide en ligne */
                {
                aide = VRAI;
                i++;
                }
	else

		{
		printf("*** ERREUR argument: %s\n",argv[i]);
		exit(255);
		};

	

};
/* aide en ligne */
/* ------------- */
if(aide == VRAI)
        {
	printf("%s Depouille les donnees DUMONT D'URVILLE\n\n",argv[0]);
        printf("*** options reconnues par %s:\n",argv[0]);
        printf("-batch : traitement des fichiers en mode non-interactif\n");
        printf("-noDECOMP : pas de decompression ni de traitement du\n");
        printf("                   fichier compress .lzh\n");
        printf("-noMAIL : pas d'envoi de mail\n");
        printf("-fich nom_fichier : nom du fichier compress contenant\n");
        printf("                   les fichiers de donnes DDU  traiter\n");
        printf("-date aaaa/mm/jj : date du fichier compress contenant\n");
        printf("                   les fichiers de donnes DDU  traiter\n");
        printf("-repdata chemin : chemin des donnees a traiter. Prioritaire\n");
		printf("     sur la variable d'environnement TRAIT_DDU.\n");
        printf("-repprog chemin : chemin des programmes de traitement et\n");
        printf("     des fichiers de parametres\n");
      	printf("-help : l'aide en ligne.\n");
        printf("*** variables d'environnement utilisees par %s:\n",argv[0]);
        printf("TRAIT_DDU : chemin des donnees a traiter. Par defaut,\n");
		printf("           repertoire courant.\n");
        printf("------------------------------------------------------------\n");
        printf("\n");
        exit(255);
        };

	
}
