/* on recupere la liste des fichiers non encore traites */

#include<stdio.h>
#include<time.h>
#include <stdlib.h>

#include "typedef.h"
#include "define.h"
#include "constant.h"

extern STNOMFICH *debut,*fin,*fiche;
extern STNOMFICH *debut_ddu,*fiche_ddu,*fin_ddu;

void liste_fich_a_taiter(
	secondes_dern_trait,
	sec_fich_le_plus_recent,
	sec_fich_le_plus_ancien)
long int secondes_dern_trait,*sec_fich_le_plus_recent,*sec_fich_le_plus_ancien;

{
booleen FIN;

fiche = debut;
*sec_fich_le_plus_recent = 0;
*sec_fich_le_plus_ancien = time(NULL);
	/* heure actuelle en secondes depuis 01/01/1970 */

FIN = FAUX;

while(FIN == FAUX)
	/* on examine tous les fichiers trouves dans le repertoire lidohp */
	{
	if(	fiche->secondes > secondes_dern_trait)
		/* si la date du fichier est superieur a la */
		/* date du dernier traitement */
		{

		if(debut_ddu == NULL)
			{
			/* on cree la structure */
			debut_ddu = malloc(sizeof(STNOMFICH) );
			debut_ddu->suivant=NULL;
			debut_ddu->precedent=debut_ddu;
			fin_ddu=debut_ddu;
			}

		else
			{
			fin_ddu->suivant=malloc(sizeof(STNOMFICH) );
			fin_ddu->suivant->precedent=fin_ddu;
			fin_ddu->suivant->suivant=NULL;
			fin_ddu = fin_ddu->suivant;
			};


		/* on y copie les infos */
		strcpy(fin_ddu->nomfich,fiche->nomfich);
		fin_ddu->secondes = fiche->secondes;
		fin_ddu->taille = fiche->taille;
		
		if(	fiche->secondes > *sec_fich_le_plus_recent)
			*sec_fich_le_plus_recent = fiche->secondes;
		if(	fiche->secondes < *sec_fich_le_plus_ancien)
			*sec_fich_le_plus_ancien = fiche->secondes;
		};
	if(fiche->suivant == NULL)
		FIN = VRAI;
	else
		fiche = fiche->suivant;
	};

}
